Name:          mahout-collections
Version:       1.0
Release:       %mkrel 1
Summary:       Mahout Collections
Group:         Development/Java
License:       ASL 2.0
Url:           http://mahout.apache.org/
Source0:       ftp://ftp.mirrorservice.org/sites/ftp.apache.org/mahout/%{name}-%{version}/%{name}-%{version}-src.zip
#Patch0:        ...
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit4
BuildRequires: mahout-collection-codegen-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Apache Mahout™ machine learning library's goal is to build scalable machine learning libraries.

This package contains the Primitive-type collections based on CERN's Colt Java API.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt RELEASE-NOTE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Nov 05 2011 gil <gil> 1.0-1.mga2
+ Revision: 163025
- imported package mahout-collections

